/*****************************************************************************
 * @copyright       2024-202, . POWER SUPPLY CO., LTD.
 * @file            logic_debug.h
 * @brief           xxxx
 * @author          Gary
 * @date            2024/09/21
 * @remark          初修订
 *****************************************************************************/
#ifndef __LOGIC_DEBUG_H__
#define __LOGIC_DEBUG_H__

typedef struct
{
	// 用户可配参数
	float_t activePower;   // 目标有功功率
	float_t reactivePower; // 目标无功功率 kw
	bool pcsSwitch;		   // 充放电开关 1 开 0 关
	uint8_t protectSwitch; // 保护算法开关 1 开 0 跳过
    // 中间变量
	int runPeriod;	// 运行周期 ms
} debug_params_t;	// 调试函数传参结构体

// 获取调试模式运行参数接口
int logicFun_debug();
int logic_debugParamUpdate();
#endif