/*****************************************************************************
 * @copyright       2024-202, . POWER SUPPLY CO., LTD. 
 * @file            logic_demandctrl.h
 * @brief           xxxx
 * @author          Gary
 * @date            2024/09/27
 * @remark          初修订
 *****************************************************************************/
#ifndef __LOGIC_DEMANDCTRL_H__
#define __LOGIC_DEMANDCTRL_H__

// 滑差窗口结构体
typedef struct
{
	double_t pccDemand[450]; // 实时需量
	int pccCount;			 // 当前实时需量的数量
	int pccIndex;			 // 当前实时需量的索引
	double_t pccSum;		 // 窗口内实时需量的总和

	double_t loadDemand[450]; // 负荷实时需量
	int loadCount;			  // 当前负荷实时需量的数量
	int loadIndex;			  // 当前负荷实时需量的索引
	double_t loadSum;		  // 窗口内负荷实时需量的总和

	double_t foreDemand[15]; // 负荷预测需量
	int foreCount;			 // 当前负荷预测需量的数量
	int foreIndex;			 // 当前负荷预测需量的索引
} sliding_window_t;


#endif