/*****************************************************************************
 * @copyright       2024-202, . POWER SUPPLY CO., LTD.
 * @file            xxx.c
 * @brief           xxxx
 * @author          xx
 * @date            2024/08/30
 * @remark          初修订
 *****************************************************************************/
#ifndef APP_TASK_REGEDIT_H
#define APP_TASK_REGEDIT_H

#pragma once
#include <stdio.h>
#include <sched.h>
#include <string.h>
#include <time.h>
#include <sys/time.h>
#include <math.h>
#include <stdbool.h>
#include <unistd.h>
#include <stdlib.h>
#include <sys/shm.h>
#include "app_parse.h"
#include "app_comm.h"
#include "kit_data.h"
#include "bsp_modbus.h"
#include "bsp_ntp.h"
#include "kit_log.h"
#include "app_parse.h"
#include "bsp_mqttClient.h"
#include "logic_main.h"
#include "drv_gpio.h"

#define THREAD_PRIORITY_MAX 90
#define INIT_ERR_DB 1
#define INIT_ERR_EMS 2
#define INIT_ERR_DEV 4
#define INIT_ERR_NORTHCFG 8

// typedef void* (*RegeditThreadMan)(void* arg);
// typedef struct
// {
// 	RegeditThreadMan getapi;
// } ThreadMan_T; // modify by wp at 2023-03-01 删除优先级设置

// uint8_t initSystem(void* arg);
// void regedit_thread_entry(void* map_t);

/*********************************************************************
 * @brief       EMS初始化
 * @param[in]   arg：相关配置
 * @return      0-成功  1-失败
 *********************************************************************/
uint8_t initEmsSystem(void *arg);
/*********************************************************************
 * @brief       创建任务的总入口
 * @param[in]   arg：相关配置
 * @return      void
 *********************************************************************/
void regeditThreadEntry(void *map_t); // 创建线程入口
/*********************************************************************
 * @brief       启动EMS的web后台
 * @return      void
 *********************************************************************/
// void runEmsWebApi();

#endif // APP_TASK_REGEDIT_H
