#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "utlist.h"
typedef struct QueueNode
{
    char *data; // 指向字符串的指针
    char *topic;
    struct QueueNode *next; // 单向链表的下一个指针
} QueueNode;

typedef struct
{
    QueueNode *head;
    QueueNode *tail;
} Queue;

void initQueue(Queue *queue);

void enqueue(Queue *queue, QueueNode *queueNode);

char *dequeue(Queue *queue);

int isQueueEmpty(Queue *queue);
